complexType "TradeHeader"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 4 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | partyTradeIdentifier+, tradeInformation, partyTradeInformation*, tradeDate?
</...>

Content Model Elements (4):

  partyTradeIdentifier (in tradeHeader), partyTradeInformation, | tradeDate, tradeInformation

All Direct / Indirect Based Elements (1):

  tradeHeader

Known Usage Locations

- As direct type of elements (1):
  tradeHeader

Annotation
A type defining trade related information which is not product specific.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="TradeHeader"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="tradeInformation" type="TradeInformation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/> <!--View Generation: SKIPPED clearedDate - Other-unavailable for this view--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  The trade reference identifier(s) allocated to the trade by the parties involved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

partyTradeInformation

  Type: | PartyTradeInformation, complex content

  Additional trade information that may be provided by each involved party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeInformation" type="PartyTradeInformation"/>

tradeDate

  Type: | IdentifiedDate, simple content

  The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"/>

tradeInformation

  Type: | TradeInformation, complex content

  Additional trade information that is shared by all parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="tradeInformation" type="TradeInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.